#!/bin/sh
PWD=`pwd`/mnt
echo "размонтируем dev sys proc" 
umount $PWD/{dev,sys,proc}
umount $PWD/
echo "монтируем ext3fs.img"
mount sys/LiveOS/ext3fs.img $PWD
echo "монтируем dev sys proc копируем resolv.conf"
mount --bind /dev $PWD/dev
mount --bind /sys $PWD/sys
mount --bind /proc $PWD/proc
rm $PWD/etc/resolv.conf
cp /etc/resolv.conf $PWD/etc/resolv.conf
echo "готовим ядро для syslinux"
chroot $PWD/ << EOF
touch /etc/dracut.conf.d/tmplive.conf
echo 'hostonly="no"' > /etc/dracut.conf.d/tmplive.conf
echo 'add_dracutmodules+=" dmsquash-live pollcdrom "' >> /etc/dracut.conf.d/tmplive.conf
echo 'omit_dracutmodules+=" union-mount "' >> /etc/dracut.conf.d/tmplive.conf
dracut -fv /boot/initrd-$(uname -r).img $(uname -r)
EOF
echo "копируем ядро в isolinux"
cp $PWD/boot/vmlinuz* cd/isolinux/vmlinuz0
cp $PWD/boot/initrd* cd/isolinux/initrd0.img
cp $PWD/boot/grub2/grub.cfg cd/EFI/BOOT/grub.cfg
echo "востанавливаем ядро системы"
chroot $PWD/ << EOF
rm -f /etc/dracut.conf.d/tmplive.conf
dracut -fv /boot/initrd-$(uname -r).img $(uname -r)
update-grub2
EOF
echo "размонтируем dev sys proc" 
umount $PWD/{dev,sys,proc}
umount $PWD/
echo "Готово!"
